$(document).ready(function () {
    
    /**************************
     ESQUECI SENHA
     **************************/
    $('#esqueci-senha').click(function () {

        var email = $('#email1').val();
        if (email == '' || !valida_email(email)) {
            bootbox.alert('Email inválido');
            $('#email1').addClass('erro_campo_obrigatorio');
            $('#email1').focus();
        } else {
            if (confirm('A nova senha será enviada por email. CONFIRMA?')) {
                $('#emailesqueci').val(email);
                $('#fesqueci').submit();
            }
        }
    });


    /***************************
     PULA CAMPO DDD
     ***************************/
    $('[ddd1=1]').keyup(function () {
        var tamanho = $(this).val().length;
        if (tamanho >= 2) {
            $('[telefone1=1]').focus();
        }
    });
    $('[ddd2=1]').keyup(function () {
        var tamanho = $(this).val().length;
        if (tamanho >= 2) {
            $('[telefone2=1]').focus();
        }
    });

    /**************************
     ATAULIZA NAVEGADOR IE6
     **************************/
    if ($.browser.msie == true) {
        browserVersion = jQuery.browser.version;
        if (browserVersion == '6.0') {
            window.location.href = "http://www.luaazulbijoux.com.br/atualize-seu-navegador.php";
        }

    }

    /**************************
     MENU
     **************************/
    $("#menuhor li.item:has(div.submenuhor:has(ul))").hover(
            function () {
                $(this).find(".submenuhor").show();
            },
            function () {
                $(this).find(".submenuhor").hide();
            }
    );
    /*
     $("#menuhor li.item div.submenuhor").each(function(index, elm) {
     $(elm).width($(elm).find("ul").length * 180);
     });    
     $("#menuhor div.submenuhor:has(.highlight)").addClass("nav-highlight");
     */


    /***************************
     LIGHTBOX
     ***************************/
    $(".jqzoom").jqzoom();

    $("#dialog-confirm2").dialog({
        resizable: false,
        autoOpen: true,
        modal: true,
        width: 400,
        buttons: {
            Fechar: function () {
                $(this).dialog("close");
            }
        }
    });


    /***************************
     BUSCA
     ***************************/
    $('#txtBusca').focus(function () {
        $(this).val('');
    });
    $('#txtBusca').blur(function () {
        if ($(this).val() == '') {
            $(this).val('Buscar produto');
        }
    });

});


/***************************
 LIGHTBOX
 ***************************/
$(function () {
    $('.lb').lightBox();
});
$(function () {
    $('.lb').lightBox({
        overlayBgColor: '#000',
        overlayOpacity: 0.6,
        imageLoading: '../public/js/lightbox/img/loading.gif',
        imageBtnClose: '../public/js/lightbox/img/close.gif',
        imageBtnPrev: '../public/js/lightbox/img/prev.gif',
        imageBtnNext: '../public/js/lightbox/img/next.gif',
        txtImage: 'Imagem',
        txtOf: 'de'
    });
});

/*********************************************
 CARREGAR CIDADE
 funciona quando chamado na pagina do produto
 **********************************************/
function carregarCidade(id_select_estado, id_select_cidade) {
    //bootbox.alert(id_select_estado+' - '+id_select_cidade);
    if ($('#' + id_select_estado).val() != '') {
        $('#' + id_select_cidade).html('<option value="">carregando...</option>');
        var estado = $('#' + id_select_estado).val();
        $.post("../public/ajax_carregar_cidade.php", {estado: estado}, function (result) {
            $('#' + id_select_cidade).html(result);
        });
    } else {
        $('#' + id_select_cidade).html('<option value=""></option>');
    }
}

/*********************************************
 CARREGAR CIDADE
 funciona quando chamado a partir da raiz
 **********************************************/
function carregarCidade2(id_select_estado, id_select_cidade) {
    //bootbox.alert(id_select_estado+' - '+id_select_cidade);
    if ($('#' + id_select_estado).val() != '') {
        $('#' + id_select_cidade).html('<option value="">carregando...</option>');
        var estado = $('#' + id_select_estado).val();
        $.post("public/ajax_carregar_cidade.php", {estado: estado}, function (result) {
            $('#' + id_select_cidade).html(result);
        });
    } else {
        $('#' + id_select_cidade).html('<option value=""></option>');
    }
}

/************************
 VALIDAR FORM
 req='1'
 ************************/
function validarForm(valorReq) {
    var validou = true;
    $('[req=' + valorReq + ']').each(function (i) {
        if ($(this).val() == "") {
            validou = false;
            $(this).css('border-color','red');
        } else {
            $(this).css('border-color','#212121');
        }
    });
    if(!validou){
        return false;
    } else {
        $('.formulario'+valorReq).submit();
        return validou;
    }
}